Package org.springframework.http.client.reactive

# Interface ClientHttpResponse

All Superinterfaces:
  `HttpMessage`, `ReactiveHttpInputMessage`

All Known Implementing Classes:
  `AbstractClientHttpResponse`, `ClientHttpResponseDecorator`

public interface ClientHttpResponse extends ReactiveHttpInputMessage
Represents a client-side reactive HTTP response.

Since:
  5.0
Author:
  Arjen Poutsma, Brian Clozel

## Method Summary

Modifier and Type
Method
Description
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
`getCookies()`
Return a read-only map of response cookies received from the server.
`default String`
`getId()`
Return an id that represents the underlying connection, if available, or the request for the purpose of correlating log messages.
`default int`
`getRawStatusCode()`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `getStatusCode()`, for removal in 7.0
`HttpStatusCode`
`getStatusCode()`
Return the HTTP status code as an `HttpStatusCode`.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Methods inherited from interface org.springframework.http.ReactiveHttpInputMessage

`getBody`

## Method Details

### getId

default String getId()
Return an id that represents the underlying connection, if available, or the request for the purpose of correlating log messages.

Since:
  5.3.5

### getStatusCode

HttpStatusCode getStatusCode()
Return the HTTP status code as an `HttpStatusCode`.

Returns:
  the HTTP status as `HttpStatusCode` value (never `null`)

### getRawStatusCode

@Deprecated(since="6.0", forRemoval=true) default int getRawStatusCode()
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `getStatusCode()`, for removal in 7.0
Return the HTTP status code as an integer.

Returns:
  the HTTP status as an integer value
Since:
  5.0.6
See Also:
  - `getStatusCode()`

### getCookies

org.springframework.util.MultiValueMap<String,ResponseCookie> getCookies()
Return a read-only map of response cookies received from the server.